Index: Dev/trunk/src/client/qed-client/model/widgets/TabbedQuestionBrowser.js
===================================================================
--- Dev/trunk/src/client/qed-client/model/widgets/TabbedQuestionBrowser.js	(revision 474)
+++ Dev/trunk/src/client/qed-client/model/widgets/TabbedQuestionBrowser.js	(revision 477)
@@ -78,5 +78,6 @@
                     title: (topic || '[No topic]')+" ("+count+")",
                     selectedActions: this.selectedActions,
-                    itemActions: this.itemActions
+                    itemActions: this.itemActions,
+                    itemTitle: this._itemTitle
                 }).placeAt(categoryMap._widget.containerNode);
                 w.startup();
@@ -87,4 +88,11 @@
             }
         },
+        _itemTitle: function(item) {
+            var title = '['+item.code+']'+item.title;
+            if ( this.include === 'all' ) {
+                title += (item.publicationDate?' (published on '+item.publicationDate+')':' (unpublished)');
+            }
+            return title;
+        },
         _fillTopicSelector: function(topic,category) {
             var categoryMap = this._dataMap[category];
@@ -93,11 +101,10 @@
                 topicMap._filled = true;
                 this._busy();
-                store.query(this._query, {reduce:false,include_docs:true,key:[category,topic]})
-                .forEach(lang.hitch(this,function(value){
-                    var title;
-                    if ( this.include === 'all' ) {
-                        title = value.title+(value.publicationDate?' (published on '+value.publicationDate+')':' (unpublished)');
-                    }
-                    topicMap._widget.addItem(value,title);
+                store.query(this._query, {
+                    reduce:false,
+                    include_docs:true,
+                    key:[category,topic]
+                }).forEach(lang.hitch(this,function(value){
+                    topicMap._widget.addItem(value);
                 })).then(lang.hitch(this,function(){
                     this._done();
Index: Dev/trunk/src/client/qed-client/pages/response.js
===================================================================
--- Dev/trunk/src/client/qed-client/pages/response.js	(revision 474)
+++ Dev/trunk/src/client/qed-client/pages/response.js	(revision 477)
@@ -9,10 +9,12 @@
     "dojo/_base/declare",
     "dojo/_base/event",
+    "dojo/_base/json",
     "dojo/_base/lang",
     "dojo/promise/all",
+    "dojo/request",
     "dojo/when",
     "require",
     "dojo/text!./templates/response.html"
-], function(Content, Page, async, Response, Survey, SurveyRun, store, declare, event, lang, all, when, require, template) {
+], function(Content, Page, async, Response, Survey, SurveyRun, store, declare, event, json, lang, all, request, when, require, template) {
     return declare([Page],{
         contextRequire: require,
@@ -37,7 +39,7 @@
                         this._enableSubmit();
                     }
-                }), function() {
+                }), lang.hitch(this,function() {
                     this._showInfo("<div>The url seems to be incorrect, no survey found.</div>");
-                });
+                }));
             } else {
                 throw new Error("No valid uid or survey passed!");
@@ -45,5 +47,6 @@
         },
         _loadSurveyAndResponse: function(surveyRunId,responseId){
-            return all([store.get(surveyRunId),store.get(responseId)])
+            return all([request.get('/api/surveyRuns/'+surveyRunId,{handleAs:'json'}),
+                        request.get('/api/responses/'+responseId,{handleAs:'json'})])
             .then(lang.hitch(this,function(surveyAndResponse){
                 var surveyRun = surveyAndResponse[0];
@@ -73,5 +76,9 @@
             var answers = this.surveyWidget.get('value');
             this.response.answers = answers;
-            return store.put(this.response).then(function(){
+            return request.put('/api/responses/'+store.getIdentity(this.response),{
+                handleAs:'json',
+                data:json.toJson(this.response),
+                headers:{"Content-Type": "application/json"}
+            }).then(function(){
                 Content.notify("Your response is saved.");
             }, function(err){
@@ -82,8 +89,8 @@
             this.response.publicationDate = store.timestamp();
             this._getAnswersAndSaveResponse()
-            .then(function(){
+            .then(lang.hitch(this,function(){
                 this._showInfo("<div>Thanks for filling in the survey. You cannot edit your answers anymore.</div>");
                 this._disableSubmit();
-            });
+            }));
             if ( e ) { event.stop(e); }
             return false;
Index: Dev/trunk/src/client/qed-client/response.js
===================================================================
--- Dev/trunk/src/client/qed-client/response.js	(revision 474)
+++ Dev/trunk/src/client/qed-client/response.js	(revision 477)
@@ -1,18 +1,20 @@
 define([
-    'dojo/date',
-    'dojo/date/locale',
-    'dojo/hash',
-    'dojo/parser',
-    './store',
-    './app/Content',
-    './app/Page',
-    './app/Path',
-    './lib/async',
-    './model/classes/Response',
-    './model/classes/SurveyRun',
-    './pages/response',
-    'dojo/domReady!',
-    './stddeps'
-],function(date,locale,hash,parser,store,Content,Page,Path,async,Response,SurveyRun,ResponsePage) {
+    "./app/Content",
+    "./app/Page",
+    "./app/Path",
+    "./lib/async",
+    "./model/classes/Response",
+    "./model/classes/SurveyRun",
+    "./pages/response",
+    "./store",
+    "dojo/_base/json",
+    "dojo/date",
+    "dojo/date/locale",
+    "dojo/hash",
+    "dojo/parser",
+    "dojo/request",
+    "./stddeps",
+    "dojo/domReady!"
+], function(Content, Page, Path, async, Response, SurveyRun, ResponsePage, store, json, date, locale, hash, parser, request) {
     parser.parse();
     Content.startup();
@@ -49,5 +51,5 @@
     }
 
-    store.get(surveyRunId)
+    request.get('/api/surveyRuns/'+surveyRunId,{handleAs:'json'})
     .then(function(surveyRun){
         checkDates(surveyRun);
@@ -58,6 +60,10 @@
                 var response = Response.create();
                 response.surveyRunId = surveyRunId;
-                return store.put(response).then(function(res){
-                    return store.getIdentity(res);
+                return request.post('/api/responses',{
+                    handleAs:'json',
+                    data:json.toJson(response),
+                    headers:{"Content-Type": "application/json"}
+                }).then(function(res){
+                    return res.id;
                 });
             } else {
Index: Dev/trunk/src/client/qed-client/widgets/Selector.js
===================================================================
--- Dev/trunk/src/client/qed-client/widgets/Selector.js	(revision 474)
+++ Dev/trunk/src/client/qed-client/widgets/Selector.js	(revision 477)
@@ -18,4 +18,12 @@
 ], function(LineWithActionsWidget, _Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, registry, baseArray, declare, event, lang, Source, domClass, domConstruct, fx, query, templateString) {
 
+    function get(selector, item) {
+        if ( lang.isFunction(selector) ) {
+            return selector(item);
+        } else {
+            return item[selector || 'title'];
+        }
+    }
+    
     return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
         templateString: templateString,
@@ -25,4 +33,5 @@
         selectedActions: null,
         itemActions: null,
+        itemTitle: 'title',
         // main selector action: Object
         //    title:
@@ -111,5 +120,5 @@
             this._selectedItem = item;
             this.onToggle();
-            this._selectorLine.set("title", item.title);
+            this._selectorLine.set("title", get(this.itemTitle,item));
             baseArray.forEach(this.optionsNode.childNodes, function(node){
                 var line = registry.byNode(node);
@@ -174,5 +183,5 @@
             return domConstruct.create("div",{
                 'class': 'dragAvatar',
-                innerHTML: item.title
+                innerHTML: get(this.itemTitle,item)
             });
         },
@@ -197,5 +206,5 @@
             }
             var w = new LineWithActionsWidget({
-                title: item.title,
+                title: get(this.itemTitle,item),
                 actions: actions
             });
